Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IDocumentFolderManager

public interface IDocumentFolderManager

Interface that provides remote access to the Knowledge Directory's folder structure. Applications can call these methods to get information about the folders.

Method Summary
`IObjectQueryRow` | `getFolder(int folderID)` Queries properties of the specified folder in the Knowledge Directory.
`IObjectQueryRow` | `getFolder(java.lang.String folderPath)` Queries properties of the specified folder in the Knowledge Directory.
`IObjectQueryRow` | `getRootFolder()` Queries properties of the root folder in the Knowledge Directory.
`IObjectQuery` | `getSubFolders(int folderID)` Queries the subfolders and their properties of a specified folder in the Knowledge Directory.
`IObjectQuery` | `getSubFolders(int folderID, int startRow, int maxRows, ObjectProperty sortProperty, QueryFilter[] filters)` Queries the subfolders and their properties of a specified folder in the Knowledge Directory.

Method Detail

### getRootFolder

    public IObjectQueryRow getRootFolder()
                                  throws PortalException,
                                         java.rmi.RemoteException

  Queries properties of the root folder in the Knowledge Directory.

  Returns:
    The root folder's properties.
  Throws:
    `PortalException` - if the operation resulted in an error on the portal.
    `RemoteException` - if there is a communication problem during the execution of the remote method call.

### getFolder

    public IObjectQueryRow getFolder(int folderID)
                              throws PortalException,
                                     java.rmi.RemoteException

  Queries properties of the specified folder in the Knowledge Directory.

  Parameters:
    `folderID` - is the ID to the folder to gather properties on.
  Returns:
    The folder's properties.
  Throws:
    `java.lang.IllegalArgumentException` - if folderID is < 0.
    `PortalException` - if the operation resulted in an error on the portal.
    `RemoteException` - if there is a communication problem during the execution of the remote method call.

### getFolder

    public IObjectQueryRow getFolder(java.lang.String folderPath)
                              throws PortalException,
                                     java.rmi.RemoteException

  Queries properties of the specified folder in the Knowledge Directory.

  Parameters:
    `folderPath` - is the path to the folder to gather properties on. For example, \Knowledge Directory\Unclassified Documents. Note that the slash must be escaped
  Returns:
    The folder's properties.
  Throws:
    `java.lang.IllegalArgumentException` - if FolderPath does not start with a \
    `PortalException` - if the operation resulted in an error on the portal.
    `RemoteException` - if there is a communication problem during the execution of the remote method call.

### getSubFolders

    public IObjectQuery getSubFolders(int folderID)
                               throws PortalException,
                                      java.rmi.RemoteException

  Queries the subfolders and their properties of a specified folder in the Knowledge Directory.

  Parameters:
    `folderID` - is the parent folder ID.
  Returns:
    The subfolders and their properties.
  Throws:
    `PortalException` - if the operation resulted in an error on the portal.
    `RemoteException` - if there is a communication problem during the execution of the remote method call.

### getSubFolders

    public IObjectQuery getSubFolders(int folderID,
                                      int startRow,
                                      int maxRows,
                                      ObjectProperty sortProperty,
                                      QueryFilter[] filters)
                               throws PortalException,
                                      java.rmi.RemoteException

  Queries the subfolders and their properties of a specified folder in the Knowledge Directory.

  Parameters:
    `folderID` - is the parent folder ID.
    `startRow` - the first row in the query to retrieve (row numbers are zero-based).
    `maxRows` - the number of rows in the query to retrieve; if set to -1, all the rows are retrieved.
    `sortProperty` - the property, specified using DocumentFolderProperty, on which to sort the query.
    `filters` - an array of query filters to narrow down the search.
  Returns:
    The subfolders and their properties.
  Throws:
    `PortalException` - if the operation resulted in an error on the portal.
    `RemoteException` - if there is a communication problem during the execution of the remote method call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.